{
  description = "The corp system";

  inputs = {
    home-manager = {
      url = "github:nix-community/home-manager/release-24.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };
        nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";

  };

  outputs = { self, home-manager, nixpkgs, ...}@inputs: {
    nixosConfigurations.corp = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      system = "x86_64-linux";
      modules = [
        ./configuration.nix
        home-manager.nixosModules.home-manager
        {
          home-manager.useGlobalPkgs = true;
	  home-manager.useUserPackages = true;
	  home-manager.users.eliribble = import ./home.nix;
        }
      ];
     };
  };
}
